# Schema for the configuration files of the Entity Embed module.

embed.embed_type_settings.entity:
  type: mapping
  label: 'Schema for the entity embed type additions to an embed button entity'
  mapping:
    entity_type:
      type: string
      label: 'Entity type'
    bundles:
      type: sequence
      label: 'Bundles'
      sequence:
        type: string
        label: 'Bundle'
    display_plugins:
      type: sequence
      label: 'Allowed Entity Embed Display plugins'
      sequence:
        type: string
        label: 'Entity Embed Display plugin'
    entity_browser:
      type: string
      label: 'Entity browser'
    entity_browser_settings:
      type: mapping
      label: 'Entity browser settings'
      mapping:
        display_review:
          type: boolean
          label: 'Display review step'

entity_embed.settings:
  type: config_object
  label: 'Entity embed settings'
  mapping:
    rendered_entity_mode:
      type: boolean
      label: 'Rendered entity mode'
